Up: gpg-preset-passphrase

#### 7.7.1 List of all commands and options.

`gpg-preset-passphrase` is invoked this way:

         gpg-preset-passphrase [options] [command] cacheid

cacheid is either a 40 character keygrip of hexadecimal characters identifying the key for which the passphrase should be set or cleared. The keygrip is listed along with the key when running the command: `gpgsm --dump-secret-keys`. Alternatively an arbitrary string may be used to identify a passphrase; it is suggested that such a string is prefixed with the name of the application (e.g `foo:12346`).

One of the following command options must be given:

`--preset`
  Preset a passphrase. This is what you usually will use. `gpg-preset-passphrase` will then read the passphrase from `stdin`.
`--forget`
  Flush the passphrase for the given cache ID from the cache.

The following additional options may be used:

`-v`
`--verbose`
  Output additional information while running.
`-P` string
`--passphrase` string
  Instead of reading the passphrase from `stdin`, use the supplied string as passphrase. Note that this makes the passphrase visible for other users.